Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008441opensim[REGION] Scripting Enginepublic2019-01-06 10:342019-01-10 03:14
ReporterLuisillo_Contepomi 
Assigned ToLuisillo_Contepomi 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformPcOSWindowsOS VersionWin-64
Product Version0.9.0.1 
Target VersionFixed in Version0.9.0.1 
Summary0008441: as 0008438: Yengine: scripts error when region is closing by scripts with particle systems or timers.
DescriptionOpenSim 0.9.1.0 Snail Dev 6e60917 (from today (2019-01-06)

Script compile and work fine.

Appears in console only when I close the region with "shutdown" command
Steps To ReproduceSome script with a timer and quit region.
Additional Information2019-01-06 17:20:25,239 INFO [YEngine]: Exception while running 11af4575-b8fb-40c5-a200-58b8f4b62c0f
NullReferenceException: Object reference not set to an instance of an object.
Prim: <antiguedad lampara candeleria 2018>, Script: <particulas en link>, Location: Continente <630,655,30>
Script must be Reset to re-enable.
  at OpenSim.Region.Framework.Scenes.SceneGraph.GetScenePresences() in SceneGraph.cs:line 929
  at OpenSim.Region.Framework.Scenes.SceneGraph.ForEachScenePresence(Action`1 action) in SceneGraph.cs:line 1349
  at OpenSim.Region.Framework.Scenes.Scene.ForEachScenePresence(Action`1 action) in Scene.cs:line 5167
  at OpenSim.Region.Framework.Scenes.SceneObjectPart.SendFullUpdateToAllClients() in SceneObjectPart.cs:line 3476
  at OpenSim.Region.ScriptEngine.Shared.Api.LSL_Api.SetParticleSystem(SceneObjectPart part, list rules, String originFunc) in LSL_Api.cs:line 7776
  at OpenSim.Region.ScriptEngine.Shared.Api.LSL_Api.llLinkParticleSystem(Int32 linknumber, list rules) in LSL_Api.cs:line 7364
  at OpenSim.Region.ScriptEngine.Shared.ScriptBase.ScriptBaseClass.llLinkParticleSystem(Int32 linknum, list rules) in LSL_Stub.cs:line 991
  at default timer
  at OpenSim.Region.ScriptEngine.Yengine.XMRInstAbstract.CallSEH() in XMRInstAbstract.cs:line 498
  at OpenSim.Region.ScriptEngine.Yengine.XMRInstance.StartEx() in XMRScriptUThread.cs:line 51
System.NullReferenceException: Object reference not set to an instance of an object.
   at OpenSim.Region.Framework.Scenes.SceneGraph.GetScenePresences() in X:\0.9.0.1dev\opensimdev\Continente\OpenSim\Region\Framework\Scenes\SceneGraph.cs:line 929
   at OpenSim.Region.Framework.Scenes.SceneGraph.ForEachScenePresence(Action`1 action) in X:\0.9.0.1dev\opensimdev\Continente\OpenSim\Region\Framework\Scenes\SceneGraph.cs:line 1349
   at OpenSim.Region.Framework.Scenes.Scene.ForEachScenePresence(Action`1 action) in X:\0.9.0.1dev\opensimdev\Continente\OpenSim\Region\Framework\Scenes\Scene.cs:line 5167
   at OpenSim.Region.Framework.Scenes.SceneObjectPart.SendFullUpdateToAllClients() in X:\0.9.0.1dev\opensimdev\Continente\OpenSim\Region\Framework\Scenes\SceneObjectPart.cs:line 3476
   at OpenSim.Region.ScriptEngine.Shared.Api.LSL_Api.SetParticleSystem(SceneObjectPart part, list rules, String originFunc) in X:\0.9.0.1dev\opensimdev\Continente\OpenSim\Region\ScriptEngine\Shared\Api\Implementation\LSL_Api.cs:line 7776
   at OpenSim.Region.ScriptEngine.Shared.Api.LSL_Api.llLinkParticleSystem(Int32 linknumber, list rules) in X:\0.9.0.1dev\opensimdev\Continente\OpenSim\Region\ScriptEngine\Shared\Api\Implementation\LSL_Api.cs:line 7364
   at OpenSim.Region.ScriptEngine.Shared.ScriptBase.ScriptBaseClass.llLinkParticleSystem(Int32 linknum, list rules) in X:\0.9.0.1dev\opensimdev\Continente\OpenSim\Region\ScriptEngine\Shared\Api\Runtime\LSL_Stub.cs:line 991
   at default timer(XMRInstAbstract )
   at OpenSim.Region.ScriptEngine.Yengine.XMRInstAbstract.CallSEH() in X:\0.9.0.1dev\opensimdev\Continente\OpenSim\Region\ScriptEngine\YEngine\XMRInstAbstract.cs:line 498
   at OpenSim.Region.ScriptEngine.Yengine.XMRInstance.StartEx() in X:\0.9.0.1dev\opensimdev\Continente\OpenSim\Region\ScriptEngine\YEngine\XMRScriptUThread.cs:line 51
2019-01-06 17:20:25,439 INFO [YEngine]: Exception while running ea3d7f44-ca40-49fb-b478-9975af7f6156
NullReferenceException: Object reference not set to an instance of an object.
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (1 Region per Sim)
Physics EngineubODE
Environment.NET / Windows64
Mono VersionNone
Viewer
Attached Files

- Relationships

-  Notes
(0033737)
Luisillo_Contepomi (reporter)
2019-01-09 04:15

Is not the issue in 0.9.1.0 Snail Dev 7d9d862 2019.01.09
(0033748)
Luisillo_Contepomi (reporter)
2019-01-10 03:14

Not in 0.9.1.0 Snail Dev 7d9d862 2019.01.09

- Issue History
Date Modified Username Field Change
2019-01-06 10:34 Luisillo_Contepomi New Issue
2019-01-06 14:58 Luisillo_Contepomi Description Updated View Revisions
2019-01-09 04:15 Luisillo_Contepomi Note Added: 0033737
2019-01-09 04:15 Luisillo_Contepomi Status new => patch included
2019-01-10 03:14 Luisillo_Contepomi Note Added: 0033748
2019-01-10 03:14 Luisillo_Contepomi Status patch included => resolved
2019-01-10 03:14 Luisillo_Contepomi Fixed in Version => 0.9.0.1
2019-01-10 03:14 Luisillo_Contepomi Resolution open => fixed
2019-01-10 03:14 Luisillo_Contepomi Assigned To => Luisillo_Contepomi


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker